Skip to navigation

✨ Get workspace

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired

Response

created_byintegerRead-only
created_by_usermap from strings to any or nullRead-only

Return created_by user details when include_all_workspaces is enabled.

idintegerRead-only
interfaces_countinteger or nullRead-only
Saved interfaces in the workspace. A workspace with interfaces cannot be deleted.
membershipmap from strings to any or nullRead-only
projects_countinteger or nullRead-only
titlestring<=1000 characters
Workspace Name
colorstring or nullOptional<=16 characters
Color
descriptionstring or nullOptional
Workspace description
is_archivedbooleanOptional
Workspace is archived
is_personalbooleanOptional
Workspace is a personal user workspace